NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Types | Public Member Functions | List of all members
NXOpen::AME::BulkEngineeringObjectBuilder Class Reference

BulkEngineeringObjectBuilder class will be used for bulk Engineering Object Operation. More...

Inheritance diagram for NXOpen::AME::BulkEngineeringObjectBuilder:
NXOpen::AME::MultipleObjectsBuilder NXOpen::AME::AMEBaseBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder NXOpen::AME::PlcInterfaceVariableBuilder

Public Types

enum  PlacementType { PlacementTypeNavigator, PlacementTypePage, PlacementTypeCabinet }
 Choices for placement type, can be Place in Navigator or Place on Page or Place in Cabinet. More...
 

Public Member Functions

bool AspectPlacement ()
 Returns the aspect placement
Created in NX11.0.0. More...
 
NXOpen::AME::Bulk3DPlacementBuilderBulk3DPlacement ()
 Returns the bulk 3d placement cabinet builder
Created in NX1847.0.0. More...
 
NXOpen::AME::EOAttributeHolderEOAttributeHolder ()
 Returns the container for definition holders
Created in NX12.0.0. More...
 
NXOpen::AME::EODefAttributeHolderEoDefAttributeHolder ()
 Returns the EO definition attribute holder
Created in NX12.0.0. More...
 
NXOpen::AME::EngineeringObjectNameBuilderEOName ()
 Returns the eo name and description ui block
Created in NX11.0.0. More...
 
NXOpen::AME::InsertSettingsBuilderInsertSettings ()
 Returns the settings group having the aspect placement and copies per parent
Created in NX1847.0.0. More...
 
NXOpen::AME::BulkEngineeringObjectBuilder::PlacementType PlacementValue ()
 Returns the placement type
Created in NX1847.0.0. More...
 
NXOpen::AME::ProductDefAttributeHolderProductDefAttributeHolder ()
 Returns the Product definition attribute holder
Created in NX12.0.0. More...
 
NXOpen::Tooling::SelectReuseLibraryItemBuilderReuseLibraryItem ()
 Returns the selection definition builder
Created in NX12.0.0. More...
 
NXOpen::AME::SelectionBaseDefinitionBuilderSelectedBaseDefinition ()
 Returns the selected base definition
Created in NX11.0.0. More...
 
NXOpen::AME::SelectAMEBaseNodeListSelectedObjects ()
 Returns the select object
Created in NX11.0.0. More...
 
void SetAspectPlacement (bool aspectPlacement)
 Sets the aspect placement
Created in NX11.0.0. More...
 
void SetPlacementValue (NXOpen::AME::BulkEngineeringObjectBuilder::PlacementType placementType)
 Sets the placement type
Created in NX1847.0.0. More...
 
void SetShowInAutomation (bool showInAutomation)
 Sets the show in automation
Created in NX11.0.0. More...
 
void SetShowInFunction (bool showInFunction)
 Sets the show in function
Created in NX11.0.0. More...
 
void SetShowInLocation (bool showInLocation)
 Sets the show in location
Created in NX11.0.0. More...
 
void SetShowInProduct (bool showInProduct)
 Sets the show in product
Created in NX11.0.0. More...
 
bool ShowInAutomation ()
 Returns the show in automation
Created in NX11.0.0. More...
 
bool ShowInFunction ()
 Returns the show in function
Created in NX11.0.0. More...
 
bool ShowInLocation ()
 Returns the show in location
Created in NX11.0.0. More...
 
bool ShowInProduct ()
 Returns the show in product
Created in NX11.0.0. More...
 
NXOpen::AME::SymbolLocationBuilderSymbolLocation ()
 Returns the symbol location builder
Created in NX1847.0.0. More...
 

Detailed Description

BulkEngineeringObjectBuilder class will be used for bulk Engineering Object Operation.


To create a new instance of this class, use NXOpen::AME::AMEManager::CreateBulkEngineeringObjectBuilder
Default values.

Property Value

AspectPlacement

false

Bulk3DPlacement.PlacementAngle

ZeroDegree

Bulk3DPlacement.PlacementType

LefttoRight

InsertSettings.AspectPlacement

false

InsertSettings.CopiesPerParent

1

ShowInAutomation

false

ShowInFunction

false

ShowInLocation

false

ShowInProduct

false


Created in NX11.0.0.

Member Enumeration Documentation

Choices for placement type, can be Place in Navigator or Place on Page or Place in Cabinet.

Enumerator
PlacementTypeNavigator 

navigator

PlacementTypePage 

page

PlacementTypeCabinet 

cabinet

Member Function Documentation

bool NXOpen::AME::BulkEngineeringObjectBuilder::AspectPlacement ( )

Returns the aspect placement
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::Bulk3DPlacementBuilder* NXOpen::AME::BulkEngineeringObjectBuilder::Bulk3DPlacement ( )

Returns the bulk 3d placement cabinet builder
Created in NX1847.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::EOAttributeHolder* NXOpen::AME::BulkEngineeringObjectBuilder::EOAttributeHolder ( )

Returns the container for definition holders
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::EODefAttributeHolder* NXOpen::AME::BulkEngineeringObjectBuilder::EoDefAttributeHolder ( )

Returns the EO definition attribute holder
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::EngineeringObjectNameBuilder* NXOpen::AME::BulkEngineeringObjectBuilder::EOName ( )

Returns the eo name and description ui block
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::InsertSettingsBuilder* NXOpen::AME::BulkEngineeringObjectBuilder::InsertSettings ( )

Returns the settings group having the aspect placement and copies per parent
Created in NX1847.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::BulkEngineeringObjectBuilder::PlacementType NXOpen::AME::BulkEngineeringObjectBuilder::PlacementValue ( )

Returns the placement type
Created in NX1847.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::ProductDefAttributeHolder* NXOpen::AME::BulkEngineeringObjectBuilder::ProductDefAttributeHolder ( )

Returns the Product definition attribute holder
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::Tooling::SelectReuseLibraryItemBuilder* NXOpen::AME::BulkEngineeringObjectBuilder::ReuseLibraryItem ( )

Returns the selection definition builder
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::SelectionBaseDefinitionBuilder* NXOpen::AME::BulkEngineeringObjectBuilder::SelectedBaseDefinition ( )

Returns the selected base definition
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::SelectAMEBaseNodeList* NXOpen::AME::BulkEngineeringObjectBuilder::SelectedObjects ( )

Returns the select object
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

void NXOpen::AME::BulkEngineeringObjectBuilder::SetAspectPlacement ( bool  aspectPlacement)

Sets the aspect placement
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
aspectPlacementaspectplacement
void NXOpen::AME::BulkEngineeringObjectBuilder::SetPlacementValue ( NXOpen::AME::BulkEngineeringObjectBuilder::PlacementType  placementType)

Sets the placement type
Created in NX1847.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
placementTypeplacementtype
void NXOpen::AME::BulkEngineeringObjectBuilder::SetShowInAutomation ( bool  showInAutomation)

Sets the show in automation
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
showInAutomationshowinautomation
void NXOpen::AME::BulkEngineeringObjectBuilder::SetShowInFunction ( bool  showInFunction)

Sets the show in function
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
showInFunctionshowinfunction
void NXOpen::AME::BulkEngineeringObjectBuilder::SetShowInLocation ( bool  showInLocation)

Sets the show in location
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
showInLocationshowinlocation
void NXOpen::AME::BulkEngineeringObjectBuilder::SetShowInProduct ( bool  showInProduct)

Sets the show in product
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
showInProductshowinproduct
bool NXOpen::AME::BulkEngineeringObjectBuilder::ShowInAutomation ( )

Returns the show in automation
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

bool NXOpen::AME::BulkEngineeringObjectBuilder::ShowInFunction ( )

Returns the show in function
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

bool NXOpen::AME::BulkEngineeringObjectBuilder::ShowInLocation ( )

Returns the show in location
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

bool NXOpen::AME::BulkEngineeringObjectBuilder::ShowInProduct ( )

Returns the show in product
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::SymbolLocationBuilder* NXOpen::AME::BulkEngineeringObjectBuilder::SymbolLocation ( )

Returns the symbol location builder
Created in NX1847.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.